Subject: Re: [PATCH] net: bpf: correctly handle errors in sk_attach_filter()

From: Daniel Borkmann <[email-masked]>
Date: Sat, 13 Sep 2014 11:12:39 +0200

On 09/13/2014 06:06 AM, Sasha Levin wrote:
> Commit "net: bpf: make eBPF interpreter images read-only" has changed bpf_prog
> to be vmalloc()ed but never handled some of the errors paths of the old code.
>
> On error within sk_attach_filter (which userspace can easily trigger), we'd
> kfree() the vmalloc()ed memory, and leak the internal bpf_work_struct.
>
> Signed-off-by: Sasha Levin <[email-masked]>

[ This patch is for net-next. ]

Acked-by: Daniel Borkmann <[email-masked]>